[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTreeNode.Expand

Expands the current tree node, and optionally all descendent nodes.

## Declaration

Source position: comctrls.pp line 3141

`public procedure TTreeNode.Expand(`
`Recurse: Boolean`
`);`

## Arguments

`Recurse` |  | True to expand all descendent nodes for the node.

## Description

Expand calls the private ExpandItem method to perform the expansion (and optional recursion) for child tree nodes. The private method calls the BeginUpdate and EndUpdate methods in the TreeView control to reduce the number of updates performed when the tree node(s) are expanded.

The Expanded property for the node (and its child nodes when Recurse is enabled) is set to True when a node is expanded on the TreeView control. Use the OnExpanding event handler in the TreeView control to examine an individual tree node before it is expanded.

## See also

TTreeNode.Expanded |  | True if the node has been expanded, False when collapsed.
TTreeNode.Collapse |  | Collapses the current tree node, and optionally collapses any descendent nodes.
TCustomTreeView.BeginUpdate |  | Starts an update process for the tree view control.
TCustomTreeView.EndUpdate |  | Finishes an update process for the tree view control.
TCustomTreeView.OnExpanding |  | Event handler signalled prior to expanding a node on the tree view control.